API Reference
Auto-generated
Artifacts
API reference for artifacts endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/artifacts/{artifact_id}
GET
/api/v1/artifacts/{artifact_id}Get Artifact
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| artifact_id | string | Required | artifact_id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/artifacts/<artifact_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"artifact_id": "example",
"filename": "example",
"media_type": "example",
"size_bytes": 0,
"sha256": "example",
"status": "example"
}GET /api/v1/artifacts/{artifact_id}/url
GET
/api/v1/artifacts/{artifact_id}/urlGet Artifact Url
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| artifact_id | string | Required | artifact_id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/artifacts/<artifact_id>/url \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"artifact_id": "example",
"url": "example",
"expires_in": 0,
"filename": "example",
"media_type": "example",
"size_bytes": 0
}